Bug 145210 - Sound not working: alsa module snd-ali5451 error
Sound not working: alsa module snd-ali5451 error
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-15 08:33 EST by Persio Barros
Modified: 2015-01-04 17:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:36:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Persio Barros 2005-01-15 08:33:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Upgraded from FC1 to FC3. In FC1 I was using alsa sound already
(drivers from FreshRPMS), and it was working. After upgrading the
sound system stopped working.
I noted some error messages in /var/log/messages

kernel: ACPI: PCI interrupt 0000:00:08.0[A] -> GSI 10 (level, low) ->
IRQ 10
kernel: PCI: Unable to reserve I/O region #1:100@1000 for device
0000:00:08.0
kernel: ALI 5451: probe of 0000:00:08.0 failed with error -16

I also noted that the sound devices are not present in /dev. Maybe
they were removed after the module loading failing? Anyway, I tried to
(re)create them (with MAKEDEV sound). Then removed the sound module
and reinstalled it (with modprobe snd-ali5451). No luck.
Tried to run alsamixer, but it gives the error:
alsamixer: function snd_ctl_open failed for default: No such device


Version-Release number of selected component (if applicable):
kernel-2.4.6-9 through 2.4.6-10

How reproducible:
Always

Steps to Reproduce:
1. Upgrade from FC1 to FC3
2. Run alsamixer (or any other sound app)
3.
    

Actual Results:  No sound

Expected Results:  Normal behavior

Additional info:

System: Notebook PII-800Mhz, 256MB RAM
Sound card (frm lspci):
00:08.0 Multimedia audio controller: ALi Corporation M5451 PCI AC-Link
Controller Audio Device (rev 01)
        Subsystem: Unknown device 168f:0001
        Flags: medium devsel, IRQ 10
        I/O ports at 1000 [size=256]
        Memory at ee801000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 2
Comment 1 Persio Barros 2005-01-15 15:52:44 EST
Sorry for the typo. My notebook is a PIII 800MHz system, of course.
It's a +/- 3 years old machine.
Comment 2 Persio Barros 2005-01-17 07:54:18 EST
The /proc/ioports shows I/O address conflicts:
1000-10ff : 0000:00:08.0
  1000-10ef : motherboard
    1000-10ef : pnp 00:06
      1010-1015 : ACPI CPU throttle

Tried to boot with acpi=off and now the sound works and there are no
address conflicts. So this may be an ACPI issue. It's worth noting
that "that other OS" (dual boot machine) sets the I/O address for the
sound card at 0x1800-0x18ff.
Comment 3 Dave Jones 2005-07-15 15:21:58 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Persio Barros 2005-07-18 11:40:17 EDT
Nope. Same behavior with the new kernel. Tried to boot without "acpi=off" kernel
parameter and the sound stopped working. The sympthoms are the same as with the
older kernels.
Comment 5 Jim Haynes 2005-10-26 17:37:24 EDT
I encountered the same problem with a KDS Valiant 6370iPT which has the same
ALi 5451 audio device.  This is under FC4 and the latest 2.6.13-1532 kernel.
And adding acpi=off to the boot line for the kernel seems to fix it.  Also
fixes another problem, which was that the battery condition applet was not
correctly showing when running off the power supply.  Any reason I shouldn't
run with acpi=off ? Maybe this notebook is too old to use acpi.
Comment 6 Dave Jones 2006-01-16 17:06:48 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 7 Persio Barros 2006-01-20 07:27:25 EST
Upgraded to FC4 and installed latest kernel (2.6.14-1.1656_FC4). The problem is
still there. Same symptoms and same error messages in /var/log/messages:
Jan 20 10:09:58 s15dgt kernel: PCI: Unable to reserve I/O region #1:100@1000 for
device 0000:00:08.0
Jan 20 10:09:58 s15dgt kernel: ACPI: PCI interrupt for device 0000:00:08.0 disabled
Jan 20 10:09:58 s15dgt kernel: ALI 5451: probe of 0000:00:08.0 failed with error -16
Had to boot with acpi=off in grub.conf again.
Persio
Comment 8 Dave Jones 2006-02-03 01:23:00 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 Persio Barros 2006-02-05 14:54:49 EST
Tested with this new kernel (2.6.15-1.1830) and the problem is still present.
Don't know if this will be solved any time soon since this machine is getting
old... I have also seen a lot of notebooks with problems with acpi. Anyway,
thanks to the developers for their attention.
Sincerely,
Persio
Comment 10 Dave Jones 2006-09-16 20:58:58 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 11 Dave Jones 2006-10-16 15:59:32 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 12 Jon Stanley 2008-01-19 23:36:30 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.